/** Ensures x-values are increasing in magnitude. It reverses y if x was reversed.
 *
 * * Does not mutate arrays
 * * Assumes that X is either increasing or decreasing, not any random order.
 * * Expects x and y to be the same length
 * @param x - array of x values
 * @param y - array of y values
 * @returns [x,y] tuple
 */
export declare function ensureIncreasingXValues(x: Float64Array, y: Float64Array): [typeof x, typeof y];
//# sourceMappingURL=ensureIncreasingXValues.d.ts.map