/// <reference types="node" />
import { IOBuffer } from 'iobuffer';
import { Spectrum } from './dataBlock/shared';
import { Header } from './fileHeader';
import { LogBlock } from './logBlock';
export type InputData = ArrayBufferLike | ArrayBufferView | IOBuffer | Buffer;
export interface ParseResult {
    meta: Header;
    spectra: Spectrum[];
    logs?: LogBlock | null;
}
/**
 * Parses an SPC file.
 *
 * @param  buffer SPC file buffer.
 * @return JSON-like object with information contained in the SPC file.
 */
export declare function parse(buffer: InputData): ParseResult;
//# sourceMappingURL=parse.d.ts.map