import { IOBuffer } from 'iobuffer';
export interface MetaData {
    size: number;
    memorySize: number;
    textOffset: number;
    binarySize: number;
    diskArea: number;
    reserved: string;
}
export interface LogBlock {
    meta: MetaData;
    data: string;
    text: string;
}
/**
 *
 * @param  buffer SPC buffer.
 * @param  logOffset Offset of the log (from mainHeader).
 * @return  Object containing log meta, data and text.
 */
export declare function readLogBlock(buffer: IOBuffer, logOffset: number): LogBlock;
//# sourceMappingURL=logBlock.d.ts.map